import pytest
import sru.almasru as almasru

RETRIEVER = almasru.RecordRetriever('obv-at-oenb', '43ACC_ONB', 'marcxml')


class TestRecordRetriever:

    def test_erroneous_xml(self):
        with pytest.raises(almasru.SruException):
            RETRIEVER.by_mms_id('MMS-ID')

    def test_get_multiple(self):
        query = "alma.local_control_field_009=AC13320616 OR alma.local_control_field_009=AC13320328"
        RETRIEVER.get_multiple(query)
        assert True

    def test_get_unique(self):
        query = "alma.local_control_field_009=AC13320616"
        RETRIEVER.get_unique(query)
        assert True

    def test_not_unique(self):
        query = "alma.local_control_field_009=AC13320616 OR alma.local_control_field_009=AC13320328"
        with pytest.raises(almasru.NotUnique):
            RETRIEVER.get_unique(query)
